Server 2 Server

This API endpoint is used to initiate a payment using the Key2Payment payment service. It is an HTTP POST request that should be sent to the URL https://api.key2payment.com/transaction/s2s. The request should include the necessary parameters to specify the transfer details. The response will provide information about the transaction, including a transaction ID, track ID, merchant ID, etc.... Please refer to the API documentation or contact the API provider for more information on the required request parameters and the expected response structure.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request


{
    "merchantid": "",
    "password": "",
    "payment_method": {
        "type": "BANKCARD"
    },
      "trackid": "150720232024",
    "bill_currencycode": "EUR", //mandatory
    "bill_cardholder": "vivek", //mandatory
    "bill_amount": 1.00, //mandatory
    "returnUrl": "https://webhook.site/36d0e4bc-d4fb-4061-9235-a2b69b636bbb",
    "returnUrl_on_failure": "https://webhook.site/36d0e4bc-d4fb-4061-9235-a2b69b636bbb",
    "productdesc": "prod", //mandatory
    "bill_customerip": "121.123.123.200", //mandatory
    "bill_phone": "59101883", //mandatory
    "bill_cc": 4111111111111111, //mandatory
    "bill_expmonth": "06", //mandatory
    "bill_expyear": "2025", //mandatory
    "serverUrl": "https://webhook.site/36d0e4bc-d4fb-4061-9235-a2b69b636bbb", //mandatory
    "bill_email": "[email protected]", //mandatory
    "bill_cvv": "981", //mandatory
    "bill_country": "US", //mandatory
    "bill_city": "test", //mandatory
    "bill_state": "test",
    "bill_address": "test", //mandatory
    "bill_zip": "test", //mandatory
 		"browser_info": {
        "color_depth": "24",
        "device_type": "desktop",
        "java_enabled": false,
        "language": "en",
        "screen_height": 1080,
        "screen_width": 1920,
        "tz_info": "GMT+1",
        "user_agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.106 Safari/537.36 OPR/38.0.2220.41"
    }
}

Sample Response

{
  "type": "valid",
  "result": "Processing",
  "responsecode": "9",
  "trackid": "123455",
  "merchantid": "TEST001",
  "redirectUrl": "https://api.key2payment.com/transaction/Redirect?ID=8913bfff-33be-4b87-b920-23a78d5ec8d2",
  "token": "1d85ca154e754b4596128b00a5b21d1c",
  "error_code_tag": null,
  "error_text": null,
  "transactionid": "1001547"
}
Body Params
string
required
string
required
string
required
payment_method
object
required
string
Defaults to cardholder
string
required
string
required
string
required
string
required
string
required
string
required
string
string
required
string
string
string
string
json
Defaults to { "color_depth": "24", "device_type": "desktop", "java_enabled": false, "language": "en", "screen_height": 1080, "screen_width": 1920, "tz_info": "GMT+1", "user_agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.106 Safari/537.36 OPR/38.0.2220.41" }
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json